type UserSessionStyle {
  id: ID!
  userSessionId: ID!
  featureCategoryId: ID
  featureId: ID
  featureProductId:ID
  finishListId: ID
  createdAt: DateTime!
  updatedAt: DateTime!
  # relation
  userSession: UserSession
  featureCategory: FeatureCategory
  feature: Feature
  featureProduct: FeatureProduct
  finishList: FinishList

}

type UserSessionStyleEdge {
  node: UserSessionStyle
  cursor: String!
}

type UserSessionStyleConnection {
  pageInfo: PageInfo!
  edges: [UserSessionStyleEdge]
  fullCount: Int
}


type Query {
  userSessionStyle(id: ID!): UserSessionStyle
  userSessionStyles(where: JSON, limit: Int, offset: Int, order: String): [UserSessionStyle!]
  userSessionStylesConnection(
    where: JSON
    first: Int!
    last: Int
    after: String
    before: String
  ): UserSessionStyleConnection!
}

type Mutation {
  createUserSessionStyle(data: JSON): UserSessionStyle
  updateUserSessionStyle(data: JSON, where: JSON): UserSessionStyle
}
